<h3><%= @oven.name %></h3>
<div class="cookie-info">
  <div class="mobile-only">
    <%= link_to "Prepare Cookie", new_oven_cookies_path(@oven), class: 'button' %>
  </div>
  Cookie in oven:
  <% if @oven.cookie %>
    <%= pluralize(@oven.cookie.quantity, "cookie") %> with <%= @oven.cookie.fillings || "no fillings" %>
    <% if @oven.cookie.ready? %>
      (Your Cookie is Ready)
      <%= button_to "Retrieve Cookie", empty_oven_path, class: 'button tiny' %>
    <% else %>
      (Your Cookie is Still Cooking)
    <% end %>
  <% else %>
    None
  <% end %>
</div>
<div class="desktop-only">
  <%= link_to "Prepare Cookie", new_oven_cookies_path(@oven), class: 'button' %>
</div>
